import { UrlUtils as m } from "./accelbyte-widgets90.mjs";
import "dompurify";
const b = (e) => `https://img.youtube.com/vi/${e}/hqdefault.jpg`, o = (e, t) => {
  if (!t)
    return `https://www.youtube.com/embed/${e}`;
  const r = m.buildURLSearchParamsFromObject({
    ...t,
    autoplay: t.autoplay ? "1" : "",
    modestbranding: t.modestbranding ? "1" : "",
    mute: t.mute ? "1" : ""
  });
  return `https://www.youtube.com/embed/${e}?${r.toString()}`;
};
export {
  o as getYoutubeEmbedUrl,
  b as getYoutubeHqThumbnailUrl
};
